clc;clear all
load resultados_direccionales

maxtt=155190;%numero de muestras de los microfonos
dt=1.4663e-05;%paso temporal utilizado en la simulación de FDTD
ttmin=round((155190*0.005)/(155190*1.4663e-05))%muestras equivalentes a 5ms
ttmax=round((155190*0.08)/(155190*1.4663e-05))%muestras equivalentes a 80ms


%%SALA SIN DIFUSORES%%%%%%%%%%%
%Separa los micrófonos omnidireccionales de los direccionales
omni0=salida0(:,1:6);
dirx0=salida0(:,7:12);
diry0=salida0(:,13:18);
%Quita las muestras que sobran para la integración
omni0=omni0(1:ttmax,:);
dirx0=dirx0(ttmin:ttmax,:);
diry0=diry0(ttmin:ttmax,:);
%integra(suma)
omni0_int=sum(omni0);
dirx0_int=sum(dirx0);
diry0_int=sum(diry0);
%Realiza las fórmulas del LEF
LEF0_x=dirx0_int.^2./omni0_int.^2;
LEF0_y=diry0_int.^2./omni0_int.^2;

oLEF0_x=abs(0.33-LEF0_x)/0.33;
oLEF0_y=abs(0.33-LEF0_y)/0.33;

%%
%%SALA CON DIFUSORES NORMALES%%%%%%%
%Separa los micrófonos omnidireccionales de los direccionales
omni1=salida1(:,1:6);
dirx1=salida1(:,7:12);
diry1=salida1(:,13:18);
%Quita las muestras que sobran para la integración
omni1=omni1(1:ttmax,:);
dirx1=dirx1(ttmin:ttmax,:);
diry1=diry1(ttmin:ttmax,:);
%integra(suma)
omni1_int=sum(omni1);
dirx1_int=sum(dirx1);
diry1_int=sum(diry1);
%Realiza las fórmulas del LEF
LEF1_x=dirx1_int.^2./omni1_int.^2;
LEF1_y=diry1_int.^2./omni1_int.^2;

oLEF1_x=abs(0.33-LEF1_x)/0.33;
oLEF1_y=abs(0.33-LEF1_y)/0.33;

%%
%%SALA CON DIFUSORES OPTIMIZADOS%%%%%
%Separa los micrófonos omnidireccionales de los direccionales
omni2=salida2(:,1:6);
dirx2=salida2(:,7:12);
diry2=salida2(:,13:18);
%Quita las muestras que sobran para la integración
omni2=omni2(1:ttmax,:);
dirx2=dirx2(ttmin:ttmax,:);
diry2=diry2(ttmin:ttmax,:);
%integra(suma)
omni2_int=sum(omni2);
dirx2_int=sum(dirx2);
diry2_int=sum(diry2);
%Realiza las fórmulas del LEF
LEF2_x=dirx2_int.^2./omni2_int.^2;
LEF2_y=diry2_int.^2./omni2_int.^2;

oLEF2_x=abs(0.33-LEF2_x)/0.33;
oLEF2_y=abs(0.33-LEF2_y)/0.33;